<%@ page language="java" pageEncoding="UTF-8"
         contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%
    String basePath = request.getContextPath();
    String resourcePath = basePath + "/resource";
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../common/head.jsp"></jsp:include>
    <link rel="stylesheet" type="text/css" href="<%=basePath%>/resource/css/open/login.css">
</head>
<body>
<div class="body">
    <div class="top010">
        <div class="top-1">
            <div class="top-1-1">
                <img src="<%=resourcePath%>/images/logo_min.png" class="logo">
                <h1>衡水大数据</h1>
                <p class="huanyingdenglu">欢迎登录</p>
            </div>
            <div class="fanhui1">
                <button onclick="window.location.href='<%=basePath%>/'">返回首页</button>
            </div>
        </div>
    </div>
    <div class="mid10"><!--banner-->
        <div class="banner8">
            <div class="denk">
                <div class="form-1">
                    <span class="form-1-font">登录衡水大数据资源中心</span>
                    <span class="form-1-line"></span>
                </div>
                <div class="tishi1">
                    <c:if test="${resultState != null}">
                        <img src="<%=resourcePath%>/images/icon_cuowu.png" class="cuowuimg">&nbsp;${resultState.msg}
                    </c:if>
                </div>
                <div class="form-2">
                    <form method="post" action="<%=basePath%>/open/account/login.action">
                        <div class="zhanghao">
                            <div class="img-icon">
                                <img src="<%=resourcePath%>/images/icon_nane.png" class="img">
                            </div>
                            <input type="text" name="username" placeholder="用户名/手机号" class="input-zhanghao">
                        </div>
                        <div class="mima">
                            <div class="img-icon">
                                <img src="<%=resourcePath%>/images/icon_password.png" class="img">
                            </div>
                            <input type="password" name="password" placeholder="密码" class="input-zhanghao">
                        </div>
                        <div class="yanzhengma1">
                            <input type="text" name="captcha" placeholder="验证码" class="input-yanzhengma">
                            <%--<div class="yanzhennma-img"></div>--%>
                            <img id="captchaImage" class="yanzhennma-img" src="<%=basePath%>/captcha/image.action">
                        </div>
                        <a class="wangjimima" href="<%=basePath%>/open/account/forgetPassword.htm">忘记密码？</a>
                        <input type="submit" value="登录" class="denglu1" ></input>
                    </form>
                </div>
                <div class="form-3">
                    <img src="<%=resourcePath%>/images/icon_zhuce.png"  class="lijizhuce-icon">
                    <a class="lijizhuce" href="<%=basePath%>/open/account/register.htm">立即注册</a>
                </div>
            </div>

        </div>
    </div>
    <div class="foot1"><!--底部---->
        <p class="foot1-main">
            <a href="<%=basePath%>/open/static/about" >关于我们</a>
            <span class="span"></span>
            <a href="<%=basePath%>/open/static/about">联系我们</a>
            <span class="span"></span>
            <a href="<%=basePath%>/open/static/help_guidance">新手指导</a>
            <span class="span"></span>
            <a href="<%=basePath%>/open/static/help_api_use">API使用</a>
            <span class="span"></span>
            <a href="<%=basePath%>/open/static/help_microapp_use">微应用使用</a>
            <span class="span"></span>
            <a href="<%=basePath%>/open/static/help_question">常见问题</a>
            <span class="span"></span>
            <a href="javascript:void(0);">技术支持</a>
            <span class="span"></span>
        </p>
        <p class="banquan1">Copyright&copy;2017-2018 衡水市建设投资集团有限公司 版权所有</p>
    </div>


</div>
<script type="text/javascript">
    $("#captchaImage").click(function(){
        $(this).attr("src","<%=basePath%>/captcha/image.action")
    });
</script>
</body>
</html>
