<%@ page language="java" pageEncoding="UTF-8"
         contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%
    String basePath = request.getContextPath();
    String resourcePath = basePath + "/resource";
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../common/head.jsp"></jsp:include>
</head>
<body>
<jsp:include page="../common/body_header.jsp"></jsp:include>
<div class="makerbanner">
</div>
<div class="mid5">
    <div class="line"></div>
    <div class="box1">
        <div class="xuanxiang01">
            <a href="javascript:void(0);" onclick="goView('1')" class="xuanxiangfont">服务开发环境</a>
        </div>
        <div class="xuanxiang02">
            <a href="javascript:void(0);" onclick="goView('2')" target="_blank" class="xuanxiangfont">数据可视化开发</a>
        </div>
        <div class="xuanxiang02">
            <a href="javascript:void(0);" onclick="goView('3')" target="_blank" class="xuanxiangfont">大数据分析建模</a>
        </div>

        <div class="mid-maker1 clearfix" id="div1">
            <div class="makerfont1">
                应用控制台平台提供丰富 开发资源和模板，包括测试资源申请、环境配置、测试功能、上线功能、数据库功能、以及代码托管、持续集成功能。
            </div>
            <div class="marker-main">
                <div class="makerfont2">
                    应用发布流程
                </div>
                <div class="maker_img1">
                    <img src="<%=resourcePath%>/images/maker_img1.png" alt="">
                </div>
                <button class="dianjijingru" onclick="window.open('${devopsService}')">点击进入</button>
            </div>
            <div class="clearfix"></div>
            <div class="makerfont3">
                详细的操作流程可参考：<a class="cankao1">参考手册</a>
            </div>
        </div>

        <div class="mid-maker1 clearfix" id="div2">
            <div class="makerfont1">
                商务智能是利用数据仓库、数据挖掘技术对数据进行系统的储存和管理，并通过各种数据统计工具进行分析，
                提供各种分析报告，如客户价值评价，客户满意度评价，服务质量评价，营销效果评价，未来市场需求等；
                为企业的经营活动提供决策信息。大数据双创成果交易平台是业界唯一的端到端的Hadoop、spark平台上的
                商务智能平台，目标是简化大数据分析的过程，让人人都能从数据获得决策智慧。
            </div>
            <div class="marker-main" style="height: 726px">
                <div class="makerfont2">
                    数据可视化开发
                </div>
                <div class="maker_img1">
                    <img src="<%=resourcePath%>/images/img_keshihua.png" alt="">
                </div>
                <button class="dianjijingru1" onclick="window.open('${devopsDate}')">点击进入</button>
            </div>
            <div class="clearfix"></div>
            <div class="makerfont3">
                详细的操作流程可参考：<a class="cankao1">参考手册</a>
            </div>
        </div>

        <div class="mid-maker1 clearfix" id="div3" style="display: none">
            <div class="makerfont1">
                建模工具是大数据双创成果交易平台的核心能力，平台提供丰富的建模方式以及灵活
                的操作方法，数据可视化是建模工具的具体体现

            </div>
            <div class="marker-main"style="height: 996px">
                <div class="makerfont2">
                    大数据分析建模
                </div>
                <div class="maker_img2">
                    <img src="<%=resourcePath%>/images/img_dashuju.png" alt="">
                </div>
                <button class="dianjijingru2" onclick="window.open('${devopsAnalysis}')">点击进入</button>
            </div>
            <div class="clearfix"></div>
            <div class="makerfont3">
                详细的操作流程可参考：<a class="cankao1">参考手册</a>
            </div>
        </div>
    </div>

</div>
<jsp:include page="../common/body_footer.jsp"></jsp:include>
</body>
<script type="text/javascript">
   function goView(id) {
       if(id==1){
            $('#div1').attr("style","");
            $('#div2').attr("style","display: none");
            $('#div3').attr("style","display: none");
       }else if(id==2){
           $('#div1').attr("style","display: none");
           $('#div2').attr("style","");
           $('#div3').attr("style","display: none");
       }else{
           $('#div1').attr("style","display: none");
           $('#div2').attr("style","display: none");
           $('#div3').attr("style","");
       }
   }
   if(${id != null}){
       goView(${id})
   }else{
    goView(1)
   }
</script>
</html>
