<%@ page language="java" pageEncoding="UTF-8"
         contentType="text/html; charset=UTF-8" %>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
    String resourcePath = basePath + "/resource";
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../common/head.jsp"></jsp:include>
    <link rel="stylesheet" type="text/css" href="<%=basePath%>/resource/css/open/index.css">
</head>
<body>
<jsp:include page="../common/body_header1.jsp"></jsp:include>
<jsp:include page="../common/body_header_search.jsp">
    <jsp:param name="searchName" value="${searchName}"/>
</jsp:include>
<div class="clearfix"></div>
<div id="caidan" class="caidan">
    <a class="caidan-api" style="visibility: hidden">
        API
    </a>
    <a class="caidan-weiyingyong" style="visibility: hidden">
        微应用
    </a>
    <jsp:include page="../common/body_header_menu.jsp"></jsp:include>
</div>


<c:if test="${apiList.size()>0}">
<div id="searchList1" class="jingxuantuijian">
    <div class="jingxuantuijian0">
        <div >
            <div class="api">
                API
            </div>
            <a class="gengduo" href="<%=basePath%>/open/api/list.htm">
                更多
            </a>
        </div>
        <div class="clearfix"></div>
        <div class="api-main0"><!-----api---->
            <div class="api-right01 ">
            <c:if test="${apiList.size()>0}">
                <c:forEach items="${apiList}" var="api">
                    <c:if test="${apiList.indexOf(api)  == 0}"><div class="api-right10"></c:if>
                    <c:if test="${apiList.indexOf(api)>4}">
                        <c:if test="${apiList.indexOf(api) % 5 == 0}"> <div class="api-right20" ></c:if>
                    </c:if>
                    <div class="div">
                        <div class="h" title="${api.resourceName}"><a alt="${api.resourceName}" href="<%=basePath%>/open/api/view.htm?id=${api.id}&settingId=${api.settingId}">${api.resourceName}</a></div>
                        <div class="div_icon" title="${api.resourceName}">
                            <a alt="${api.resourceName}" href="<%=basePath%>/open/api/view.htm?id=${api.id}&settingId=${api.settingId}" ><img src="${imageContextPath}${api.resourceImg}"></a>
                        </div>
                        <p>${api.openType}</p>
                        <div class="api-foot">
							<span class="liulan" title="浏览量：  <c:if test="${ empty api.viewTimes}">0</c:if><c:if test="${not empty api.viewTimes}">${api.viewTimes}</c:if>">
								<img src="<%=resourcePath%>/images/icon_chakan.png" class="liulan-icon" >
                                <c:if test="${ empty api.viewTimes}">(0)</c:if>
                                  <c:if test="${not empty api.viewTimes}"> (${api.viewTimes})</c:if>
							</span>
                            <span class="xiazai" title="下载量：0">
								<img src="<%=resourcePath%>/images/icon_xiazai.png" class="xiazai-icon">(0)
							</span>
                            <div class="line-w"></div>
                            <div class="line-h"></div>
                        </div>
                    </div>

                    <c:if test="${apiList.indexOf(api)  == 4}"> </div></c:if>
                    <c:if test="${apiList.indexOf(api)>4}">
                    <c:if test="${apiList.indexOf(api) % 5 == 4}"> </div></c:if>
                        </c:if>
                </c:forEach>
                <c:if test="${apiList.size()<5}"></div></c:if>
                <c:if test="${apiList.size()>5}">
                <c:if test="${apiList.size()%4!=0}">
                </div>
                </c:if>
                </c:if>
            </c:if>
            </div>
        </div>


    </div>

</div>
</c:if>

<c:if test="${microappList.size()>0}">
<div id="searchList2" class="jingxuantuijian">
    <div class="jingxuantuijian0">
        <div >
            <div class="mic">
                微应用
            </div>
            <a class="gengduo" href="<%=basePath%>/open/microapp/openList.action">
                更多
            </a>
        </div>
        <div class="clearfix"></div>
        <div class="api-main0"><!-----api---->
            <div class="api-right01 ">
                <c:if test="${microappList.size()>0}">
                <c:forEach items="${microappList}" var="microapp">
                    <c:if test="${microappList.indexOf(microapp)  == 0}"><div class="api-right10"></c:if>
                    <c:if test="${microappList.indexOf(microapp)>4}">
                        <c:if test="${microappList.indexOf(microapp) % 5 == 0}"> <div class="api-right20" ></c:if>
                    </c:if>
                    <div class="div" >
                        <div class="h" title="${microapp.resourceName}"><a alt="${microapp.resourceName}" href="<%=basePath%>/open/microapp/view.htm/${microapp.settingId}">${microapp.resourceName}</a></div>
                        <div class="div_icon" title="${microapp.resourceName}">
                            <a alt="${microapp.resourceName}" href="<%=basePath%>/open/microapp/view.htm/${microapp.settingId}"><img src="${imageContextPath}${microapp.resourceImg}"></a>
                        </div>
                        <p>${api.openType}</p>
                        <div class="api-foot">
							<span class="liulan" title="浏览量：<c:if test="${empty microapp.viewTimes}">0</c:if> <c:if test="${not empty microapp.viewTimes}">${microapp.viewTimes}</c:if>">
								<img src="<%=resourcePath%>/images/icon_chakan.png" class="liulan-icon" >
                                <c:if test="${empty microapp.viewTimes}">(0)</c:if>
                                 <c:if test="${not empty microapp.viewTimes}">(${microapp.viewTimes})</c:if>
							</span>
                            <span class="xiazai" title="下载量：0">
								<img src="<%=resourcePath%>/images/icon_xiazai.png" class="xiazai-icon">(0)
							</span>
                            <div class="line-w"></div>
                            <div class="line-h"></div>
                        </div>
                    </div>

                    <c:if test="${microappList.indexOf(microapp)  == 4}"> </div></c:if>
                    <c:if test="${microappList.indexOf(microapp)>4}">
                        <c:if test="${microappList.indexOf(microapp) % 5 == 4}"> </div></c:if>
                    </c:if>
                </c:forEach>
                <c:if test="${microappList.size()<5}"></div></c:if>
            <c:if test="${microappList.size()>5}">
            <c:if test="${microappList.size()%4!=0}">
        </div>
        </c:if>
        </c:if>
        </c:if>
    </div>
</div>


</div>

</div>
</c:if>

<c:if test="${dataList.size()>0}">
<div id="searchList3" class="jingxuantuijian">
    <div class="jingxuantuijian0">
        <div >
            <div class="data">
                数据
            </div>
            <a class="gengduo" href="<%=basePath%>/open/data/index.htm">
                更多
            </a>
        </div>
        <div class="clearfix"></div>
        <div class="api-main0"><!-----api---->
            <div class="api-right01 ">
                <c:if test="${dataList.size()>0}">
                <c:forEach items="${dataList}" var="data">
                    <c:if test="${dataList.indexOf(data)  == 0}"><div class="api-right10"></c:if>
                    <c:if test="${dataList.indexOf(data)>4}">
                        <c:if test="${dataList.indexOf(data) % 5 == 0}"> <div class="api-right20" ></c:if>
                    </c:if>
                    <div class="div">
                        <div class="h" title="${data.resourceName}"><a alt="${data.resourceName}" href="<%=basePath%>/open/data/detail.htm/${data.publishSettingId}">${data.resourceName}</a></div>
                        <div class="div_icon" title="${data.resourceName}">
                           <a alt="${data.resourceName}" href="<%=basePath%>/open/data/detail.htm/${data.publishSettingId}"><img src="${imageContextPath}${data.resourceImg}"></a>
                        </div>
                        <p>${data.openType}</p>
                        <div class="api-foot">
							<span class="liulan" title="浏览量：  <c:if test="${empty data.viewTimes}">0</c:if><c:if test="${not empty data.viewTimes}">${data.viewTimes}</c:if>">
								<img src="<%=resourcePath%>/images/icon_chakan.png" class="liulan-icon" >
                                <c:if test="${empty data.viewTimes}">(0)</c:if>
                                <c:if test="${not empty data.viewTimes}">(${data.viewTimes})</c:if>
							</span>
                            <span class="xiazai" title="下载量：889">
								<img src="<%=resourcePath%>/images/icon_xiazai.png" class="xiazai-icon">(768)
							</span>
                            <div class="line-w"></div>
                            <div class="line-h"></div>
                        </div>
                    </div>

                    <c:if test="${dataList.indexOf(data)  == 4}"> </div></c:if>
                    <c:if test="${dataList.indexOf(data)>4}">
                        <c:if test="${dataList.indexOf(data) % 5 == 4}"> </div></c:if>
                    </c:if>
                </c:forEach>
                <c:if test="${dataList.size()<5}"></div></c:if>
            <c:if test="${dataList.size()>5}">
            <c:if test="${dataList.size()%4!=0}">
        </div>
        </c:if>
        </c:if>
        </c:if>
    </div>
</div>


</div>

</div>
</c:if>

<c:if test="${apiList.size()==0&&microappList.size()==0&&dataList.size()==0}">
    <div id="searchList3" class="jingxuantuijian">
        <h3 class="juzhong">暂时没有您查找的数据..........</h3>
    </div>
</c:if>
</div>

</div>


<div class="fuwu">
    <div class="fuwu-main">
        <div class="fuwu0">
            <div class="jingxuan">
                服务开发环境
            </div>
            <div class="jingxuan1">
                为你推荐最热门的数据资源
            </div>
        </div>
        <div class="fuwu1">
            <div class="kaifazhe" onclick="skip()" >
                <div class="kaifazhe1">
                    <div class="kaifazhe2">服务开发环境</div>
                    <div class="kaifazhe3">为开发者提供丰富的开发资源及模板</div>
                </div>
            </div>
            <div class="kaifazhe" style="background:url(<%=resourcePath%>/images/img_12.png);margin-left: 15px;">
                <div class="kaifazhe1">
                    <div class="kaifazhe2">服务开发环境</div>
                    <div class="kaifazhe3">为开发者提供丰富的开发资源及模板</div>
                </div>
            </div>
            <div class="kaifazhe" style="background:url(<%=resourcePath%>/images/img_13.png);margin-left: 15px;">
                <div class="kaifazhe1">
                    <div class="kaifazhe2">服务开发环境</div>
                    <div class="kaifazhe3">为开发者提供丰富的开发资源及模板</div>
                </div>
            </div>
        </div>
    </div>
</div>
<jsp:include page="../common/body_footer.jsp"></jsp:include>
<script type="text/javascript">
    $(function () {
        $(".ul-1").show();
    });

    function skip() {
        window.open("http://39.105.210.5:5151/devops-web/")
    }
</script>
</body>
</html>
