<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%
    String basePath = request.getContextPath();
    String resourcePath = basePath + "/resource";
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../common/head.jsp"></jsp:include>
</head>
<body>
    <jsp:include page="../common/body_header.jsp"></jsp:include>
    <div class="line0"></div>
    <div class="clearfix"></div>
    <div class="zixun-details">
        <div class="zixun-details0">
            <div class="zixun-main">
                <div class="pingtaixieyi">《衡水资源开放平台用户实名认证协议》</div>
                <div class="zhengwen">

                    <ul>
                        <li style="text-indent: 2em">
                            本《衡水资源开放平台实名认证协议》（以下简称“本《协议》”）系就衡水资
                            源开放平台提供的资源服务使用授权所订立的相关权利义务规范。衡水资源开
                            放平台为用户（包括个人及单位）提供数据报告下载、API申请、API调用、数
                            据定制、微服务申请、微服务调用等多项服务的交易平台。您在成为衡水资源
                            开放平台实名认证用户前，需仔细阅读并完全理解本《协议》内容及衡水资源
                            开放平台公布的其他服务规则（以下统称为“服务条款”），如果您不同意接受
                            本《协议》等服务条款的约束，应停止实名认证程序并停止使用衡水资源开放
                            平台提供的资源服务。
                        </li>
                        <li style="text-indent: 2em">
                            当您点击衡水资源开放平台实名认证页面的提交按钮并完成实名认证程序后，
                            即视为您已认真阅读服务条款全部内容，对服务条款均已知晓、理解并接受，
                            同意将其作为确定双方权利义务的依据服务条款对您及衡水资源开放平台均
                            具有法律效力。
                        </li>
                        <li  class="li1"> 1、实名认证对象</li>
                        <li>1.1 注册用户。同时满足下列条件的，方可被认定为衡水资源开放平台用户：</li>
                        <li style="text-indent: 2em">（1）同意《衡水资源开放平台用户注册协议》内容并接受其约束；</li>
                        <li style="text-indent: 2em">（2）完成在衡水资源开放平台的注册程序并获得衡水资源开放平台账户和密码;</li>
                        <li>1.2 衡水资源开放平台用户类型</li>
                        <li style="text-indent: 2em">（1）个人用户；</li>
                        <li style="text-indent: 2em">（2）单位用户；</li>
                        <li class="li1">2、实名认证规则</li>
                        <li>2.1 实名认证说明：</li>
                        <li>
                             注册用户登录平台后进入用户中心，点击实名
                            认证按钮，进入认证页面，按照以下说明实现实名认证。
                        </li>
                        <li style="text-indent: 2em"> （1）个人用户进行实名认证需按照衡水资源开
                            放平台的要求提供包括但不限于个人身份证件正反面照片、个人基本信息以及衡
                            水资源开放平台认为为向用户提供满足用户需求的服务所必需的其他信息；</li>
                        <li style="text-indent: 2em">（2）单位用户进行实名认证需按照衡水资源开放
                            平台的要求提供包括但不限于个营业执照正副本照片、从事与衡水资源开放平台
                            合作业务或使用衡水资源开放平台服务所必需的资质许可、企业基本信息以及衡
                            水资源开放平台认为为向用户提供满足用户需求的服务所必需的其他信息;</li>
                        <li class="li2">2.2  衡水资源开放平台资源授权说明</li>
                        <li style="text-indent: 2em">
                            衡水资源开放平台提供的数据报告、API（数据API、工具API、模型API）、
                            微应用、SaaS服务等资源，用于平台上的应用开发。未实名认证的客户不能
                            使用衡水资源开放平台提供的资源和服务，只有遵循本《协议》完成实名认
                            证的个人或企业才被授权使用衡水资源开放平台提供的资源和服务。
                        </li>
                        <li class="li1">3、用户义务</li>
                        <li style="text-indent: 2em">
                            3.1、不得利用衡水资源开放平台提供的资源危害国家安全、泄露国家秘密，
                            不得侵犯国家社会集体的和公民的合法权益，不得利用衡水资源开放平台提
                            供的资源制作、复制和传播下列信息：
                        </li>
                        <li style="text-indent: 2em">
                            （1）煽动抗拒、破坏宪法和法律、行政法规实施的；
                        </li>
                        <li style="text-indent: 2em">
                            （2）煽动颠覆国家政权，推翻社会主义制度的；
                        </li>
                        <li style="text-indent: 2em">
                            （3）煽动分裂国家、破坏国家统一的；
                        </li>
                        <li style="text-indent: 2em">
                            （4）煽动民族仇恨、民族歧视，破坏民族团结的；
                        </li>
                        <li style="text-indent: 2em">
                            （5）捏造或者歪曲事实，散布谣言，扰乱社会秩序的；
                        </li>
                        <li style="text-indent: 2em">
                            （6）宣扬封建迷信、淫秽、色情、赌博、暴力、凶杀、恐怖、教唆犯罪的；
                        </li>
                        <li style="text-indent: 2em">
                            （7）公然侮辱他人或者捏造事实诽谤他人的，或者进行其他恶意攻击的；
                        </li>
                        <li style="text-indent: 2em">
                            （8）损害国家机关信誉的；
                        </li>
                        <li style="text-indent: 2em">
                            （9）其他违反宪法和法律行政法规的；
                        </li>


                        <li style="text-indent: 2em">3.2 用户应当遵守法律法规、规章、规范性文件及
                            政策要求的规定，不得在衡水资源开放平台或利用衡水资源开放平台服务从事非法
                            或其他损害衡水资源开放平台或第三方权益的活动，包括但不限于发送或接收任何
                            违法、违规、违反公序良俗、侵犯他人权益的信息，发送或接收传销材料或存在其
                            他危害的信息或言论。</li>
                        <li class="li1">4、违约责任</li>
                        <li style="text-indent: 2em">
                            （1）如因衡水资源开放平台违反有关法律、法规或本《协议》项下义务而给
                            用户造成损失，衡水资源开放平台同意承担相应的损害赔偿责任，并向用户
                            赔偿用户的直接损失；
                        </li>
                        <li style="text-indent: 2em">
                             （2）用户同意保障和维护衡水资源开放平台及其他用户的利益，如因用户
                            违反有关法律、法规或本《协议》约定而给衡水资源开放平台或任何其他第
                            三者造成损失，用户应承担相应的法律责任。
                        </li>
                        <li class="li1">5、免责申明</li>
                        <li style="text-indent: 2em">本免责申明规定了衡水资源开放平台特定情形下不
                            承担责任的内容，与用户权益息息相关，用户应仔细阅读。若用户不同意本免责申
                            明的内容，应停止实名认证或停止使用衡水资源开放平台服务并注销衡水资源开放
                            平台账户。用户完成实名认证程序并使用衡水资源开放平台的服务，视为用户已经
                            完全知悉、理解本免责申明对其权利、义务、责任的特别约定，并同意接受该等约
                            定，豁免衡水资源开放平台的相应责任。</li>
                        <li style="text-indent: 2em">  （1）因用户向衡水资源开放平台提供的证件、信
                            息等内容真实、准确、完整、及时、有效，因用户提供的证件、信息等内容不满足
                            真实、准确、完整、及时、有效条件而引致的各种损失或责任，均由用户自行承担。</li>
                        <li style="text-indent: 2em"> （2）由于系统升级而造成的用户实名认证不能通过
                            的，请用户理解并豁免衡水资源开放平台为此承担责任。</li>
                        <li class="li1">6、法律适用及争议解决</li>
                        <li style="text-indent: 2em">本《协议》的效力 、履行和解释均适用中华人民共和
                            国法律。若用户因本《协议》相关内容与衡水资源开放平台产生争议，双方可协商解
                            决。协商无法解决的，任何一方均有权向衡水资源开放平台运营方所在地有管辖权的
                            法院提起诉讼。</li>

                    </ul>
                </div>

            </div>
        </div>
    </div>
    <jsp:include page="../common/body_footer.jsp"></jsp:include>
</body>
</html>