<%@ page language="java" pageEncoding="UTF-8"
         contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%
    String basePath = request.getContextPath();
    String resourcePath = basePath + "/resource";
%>
<!DOCTYPE html>
<head>
    <jsp:include page="../common/head.jsp"></jsp:include>
    <link rel="stylesheet" href="<%=resourcePath%>/plugins/swiper/swiper-4.3.3.min.css">
    <style>
        .swiper-container {
            width: 100%;
            height: 100%;

        }
        .swiper-slide {
            text-align: center;
            font-size: 18px;
            background: #fff;

            /* Center slide text vertically */
            display: -webkit-box;
            display: -ms-flexbox;
            display: -webkit-flex;
            display: flex;
            -webkit-box-pack: center;
            -ms-flex-pack: center;
            -webkit-justify-content: center;
            justify-content: center;
            -webkit-box-align: center;
            -ms-flex-align: center;
            -webkit-align-items: center;
            align-items: center;
        }
    </style>
</head>
<body>
    <jsp:include page="../common/body_header.jsp"></jsp:include>
    <div class="mid">
        <div class="banner0">
            <div class="banner00">

                <div class="swiper-container">
                    <div class="swiper-wrapper">
                        <div class="swiper-slide"><div class="banner"></div></div>
                        <div class="swiper-slide"><img src="<%=resourcePath%>/images/share/home/banner3.png"></div>
                        <div class="swiper-slide"><img src="<%=resourcePath%>/images/share/home/banner4.png"></div>
                        <div class="swiper-slide"><img src="<%=resourcePath%>/images/share/home/banner5.png"></div>
                    </div>
                    <!-- Add Pagination -->
                    <div class="swiper-pagination"></div>
                    <!-- Add Arrows -->
                    <div class="swiper-button-next"></div>
                    <div class="swiper-button-prev"></div>
                </div>

                <div class="jxtj">
                    精选推荐
                </div>
            </div>
        </div>
        <div class="tuijian">
            <div class="jingxuantuijian0">
                <div >
                    <div class="api">
                        API
                    </div>
                    <a class="gengduo" href="<%=basePath%>/share/api/list.htm">
                        更多
                    </a>
                </div>
                <div class="clearfix"></div>
                <div class="api-main0">
                    <!-----api---->
                    <div class="api-right01 ">


                        <c:if test="${apiList.size()>0}">
                        <c:forEach items="${apiList}" var="api">
                            <c:if test="${apiList.indexOf(api)  == 0}"> <div class="api-right10"></c:if>
                            <c:if test="${apiList.indexOf(api)  == 5}"> <div class="api-right20"></c:if>
                            <div class="div">
                                <div class="h" title="${api.resourceName}"><a  href="<%=basePath%>/share/api/view.htm?id=${api.id}&settingId=${api.settingId}">${api.resourceName}</a></div>
                                <div class="div_icon" title="${api.resourceName}">
                                    <a  href="<%=basePath%>/share/api/view.htm?id=${api.id}&settingId=${api.settingId}"><img  src="${imageContextPath}${api.resourceImg}"></a>
                                </div>
                                <p>${api.shareType}</p>
                                <div class="api-foot">
                                            <span class="liulan" title="浏览量：  <c:if test="${not empty api.viewTimes}">${api.viewTimes}</c:if><c:if test="${empty api.viewTimes}">0</c:if>">
                                                <img src="<%=resourcePath%>/images/share/icon_chakan.png" class="liulan-icon" >
                                                <c:if test="${not empty api.viewTimes}">(${api.viewTimes})</c:if>
                                                <c:if test="${empty api.viewTimes}">(0)</c:if>
                                            </span>
                                    <span class="xiazai" title="下载量：0">
                                                <img src="<%=resourcePath%>/images/share/icon_xiazai.png" class="xiazai-icon">(0)
                                            </span>
                                    <div class="line-w"></div>
                                    <div class="line-h"></div>
                                </div>
                            </div>
                            <c:if test="${apiList.indexOf(api)  == 4}"> </div></c:if>
                            <c:if test="${apiList.indexOf(api)  == 9}"> </div></c:if>
                        </c:forEach>
                        <c:if test="${apiList.size()<5}"></div>
                    </c:if>
                    <c:if test="${apiList.size()<10&&apiList.size()>5}"></div>
                </c:if>
                </c:if>
                    </div>

                </div>
            </div>
            <div class="jingxuantuijian0">
                <div >
                    <div class="api">
                        数据
                    </div>
                    <a class="gengduo" href="<%=basePath%>/share/data/index.htm">
                        更多
                    </a>
                </div>
                <div class="clearfix"></div>
                <div class="api-main0"><!-----数据---->
                    <div class="api-right01 ">

                        <c:if test="${dataList.size()>0}">
                        <c:forEach items="${dataList}" var="data">
                            <c:if test="${dataList.indexOf(data)  == 0}"> <div class="api-right10"></c:if>
                            <c:if test="${dataList.indexOf(data)  == 5}"> <div class="api-right20"></c:if>
                            <div class="div">
                                <div class="h" title="${data.resourceName}"> <a href="<%=basePath%>/share/data/detail.htm/${data.publishSettingId}">${data.resourceName}</a></div>
                                <div class="div_icon" title="${data.resourceName}">
                                    <a  href="<%=basePath%>/share/data/detail.htm/${data.publishSettingId}"><img  src="${imageContextPath}${data.resourceImg}"></a>
                                </div>
                                <p>${data.shareType}</p>
                                <div class="api-foot">
                                            <span class="liulan" title="浏览量： <c:if test="${not empty data.viewTimes}">${data.viewTimes}</c:if><c:if test="${empty data.viewTimes}">0</c:if>">
                                                <img src="<%=resourcePath%>/images/share/icon_chakan.png" class="liulan-icon" >
                                                <c:if test="${not empty data.viewTimes}">(${data.viewTimes})</c:if>
                                                 <c:if test="${empty data.viewTimes}">(0)</c:if>
                                            </span>
                                    <span class="xiazai" title="下载量：0">
                                                <img src="<%=resourcePath%>/images/share/icon_xiazai.png" class="xiazai-icon">(0)
                                            </span>
                                    <div class="line-w"></div>
                                    <div class="line-h"></div>
                                </div>
                            </div>
                            <c:if test="${dataList.indexOf(data)  == 4}"> </div></c:if>
                            <c:if test="${dataList.indexOf(data)  == 9}"> </div></c:if>
                        </c:forEach>
                        <c:if test="${dataList.size()<5}"></div>
                    </c:if>
                    <c:if test="${dataList.size()<10&&dataList.size()>5}"></div>
                </c:if>
                </c:if>
                    </div>
                </div>
            </div>
            <div class="jingxuantuijian0">
                <div >
                    <div class="api">
                        微应用
                    </div>
                    <a class="gengduo" href="<%=basePath%>/share/microapp/shareList.action">
                        更多
                    </a>
                </div>
                <div class="clearfix"></div>
                <div class="api-main0"><!-----微服务---->
                    <div class="api-right01 ">

                        <c:if test="${micList.size()>0}">
                        <c:forEach items="${micList}" var="mic">
                            <c:if test="${micList.indexOf(mic)  == 0}"> <div class="api-right10"></c:if>
                            <c:if test="${micList.indexOf(mic)  == 5}"> <div class="api-right20"></c:if>
                            <div class="div">
                                <div class="h" title="${mic.resourceName}"><a  href="<%=basePath%>/share/microapp/view.htm/${mic.settingId}">${mic.resourceName}</a></div>
                                <div class="div_icon" title="${mic.resourceName}">
                                    <a href="<%=basePath%>/share/microapp/view.htm/${mic.settingId}"><img  src="${imageContextPath}${mic.resourceImg}"></a>
                                </div>
                                <p>${mic.shareType}</p>
                                <div class="api-foot">
                                            <span class="liulan" title="浏览量： <c:if test="${not empty mic.viewTimes}">${mic.viewTimes}</c:if><c:if test="${empty mic.viewTimes}">0</c:if>">
                                                <img src="<%=resourcePath%>/images/share/icon_chakan.png" class="liulan-icon" >
                                                <c:if test="${not empty mic.viewTimes}">(${mic.viewTimes})</c:if>
                                                 <c:if test="${empty mic.viewTimes}">(0)</c:if>
                                            </span>
                                    <span class="xiazai" title="下载量：0">
                                                <img src="<%=resourcePath%>/images/share/icon_xiazai.png" class="xiazai-icon">(0)
                                            </span>
                                    <div class="line-w"></div>
                                    <div class="line-h"></div>
                                </div>
                            </div>
                            <c:if test="${micList.indexOf(mic)  == 4}"> </div></c:if>
                            <c:if test="${micList.indexOf(mic)  == 9}"> </div></c:if>
                        </c:forEach>
                        <c:if test="${micList.size()<5}"></div>
                    </c:if>
                    <c:if test="${micList.size()<10&&micList.size()>5}"></div>
                </c:if>
                </c:if>
                    </div>

                </div>
            </div>
        </div>

    </div>
    <jsp:include page="../common/body_footer.jsp"></jsp:include>
    <script src="<%=resourcePath%>/plugins/swiper/swiper-4.3.3.min.js"></script>
    <script>
        var swiper = new Swiper('.swiper-container', {
            spaceBetween: 30,
            centeredSlides: true,
            autoplay: {
                delay: 2500,
                disableOnInteraction: false,
            },
            pagination: {
                el: '.swiper-pagination',
                clickable: true,
            },
            navigation: {
                nextEl: '.swiper-button-next',
                prevEl: '.swiper-button-prev',
            },
        });
    </script>
</body>
</html>
